Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class ObjectClass

    java.lang.Object
      com.plumtree.remote.prc.ObjectClass

public final class ObjectClass
extends java.lang.Object

An enumerated type used to describe the types of portal objects that can be queried and/or manipulated.

Field Summary
`static ObjectClass` | `AuthSource` Authentication Source.
`static ObjectClass` | `Community` Community.
`static ObjectClass` | `CommunityPages` Community Pages.
`static ObjectClass` | `CommunityTemplate` Community Template
`static ObjectClass` | `Crawler` Crawler.
`static ObjectClass` | `DataSource` Data Source.
`static ObjectClass` | `Document` Document.
`static ObjectClass` | `DocumentFolder` Document Folder.
`static ObjectClass` | `DocumentType` Document Type.
`static ObjectClass` | `ExternalOperation` External Operation.
`static ObjectClass` | `FederatedPortal` Federated Portal.
`static ObjectClass` | `Filter` Filter.
`static ObjectClass` | `Invitation` Invitation.
`static ObjectClass` | `Job` Job.
`static ObjectClass` | `MyPages` My Pages.
`static ObjectClass` | `PageTemplate` Page Template.
`static ObjectClass` | `Portlet` Portlet.
`static ObjectClass` | `PortletBundle` Portlet Bundle.
`static ObjectClass` | `PortletTemplate` Portlet Template.
`static ObjectClass` | `ProfileSource` Profile Source.
`static ObjectClass` | `Property` Property.
`static ObjectClass` | `RemoteServer` Remote Server.
`static ObjectClass` | `SiteMapFolder` Site Map folder.
`static ObjectClass` | `User` User.
`static ObjectClass` | `UserGroup` User Group.
`static ObjectClass` | `UserInterface` User Interface.
`static ObjectClass` | `WebService` Web Service.

Method Summary
`static ObjectClass` | `parse(int classID)`
`int` | `toInteger()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AuthSource

    public static ObjectClass AuthSource

  Authentication Source.

### Community

    public static ObjectClass Community

  Community.

### CommunityPages

    public static ObjectClass CommunityPages

  Community Pages.

### MyPages

    public static ObjectClass MyPages

  My Pages.

### Crawler

    public static ObjectClass Crawler

  Crawler.

### DocumentType

    public static ObjectClass DocumentType

  Document Type.

### DataSource

    public static ObjectClass DataSource

  Data Source.

### FederatedPortal

    public static ObjectClass FederatedPortal

  Federated Portal.

### Filter

    public static ObjectClass Filter

  Filter.

### Portlet

    public static ObjectClass Portlet

  Portlet.

### PortletTemplate

    public static ObjectClass PortletTemplate

  Portlet Template.

### RemoteServer

    public static ObjectClass RemoteServer

  Remote Server.

### Invitation

    public static ObjectClass Invitation

  Invitation.

### Job

    public static ObjectClass Job

  Job.

### Property

    public static ObjectClass Property

  Property.

### CommunityTemplate

    public static ObjectClass CommunityTemplate

  Community Template

### PortletBundle

    public static ObjectClass PortletBundle

  Portlet Bundle.

### PageTemplate

    public static ObjectClass PageTemplate

  Page Template.

### SiteMapFolder

    public static ObjectClass SiteMapFolder

  Site Map folder.

### User

    public static ObjectClass User

  User.

### UserGroup

    public static ObjectClass UserGroup

  User Group.

### UserInterface

    public static ObjectClass UserInterface

  User Interface.

### WebService

    public static ObjectClass WebService

  Web Service.

### ExternalOperation

    public static ObjectClass ExternalOperation

  External Operation.

### Document

    public static ObjectClass Document

  Document.

### ProfileSource

    public static ObjectClass ProfileSource

  Profile Source.

### DocumentFolder

    public static ObjectClass DocumentFolder

  Document Folder.

Method Detail

### toString

    public java.lang.String toString()

### toInteger

    public int toInteger()

### parse

    public static ObjectClass parse(int classID)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.